%define version 1.5.0

Name: 		LabPlot
URL:		http://labplot.sourceforge.net/
Version:	%{version}
Summary:	Function and Data Plotter
Release:	1
Source:		LabPlot-%{version}.tar.gz
Group:		Applications/Engineering	
Copyright:	GPL
Packager:	Stefan Gerlach <gerlach@mbi-berlin.de>
Distribution:	Fedora Core 3 (x86_64)
Vendor:		http://labplot.sourceforge.net/
BuildPrereq:	gsl-devel, ImageMagick-c++-devel, audiofile-devel
Requires:	ImageMagick >= 6.0.7.1 , ImageMagick-c++ >= 6.0.7.1 , gsl , audiofile
BuildRoot:	/tmp/LabPlot

%description
This is a program for plotting of functions and data manipulation.
Compiled for Fedora Core 3 (x86_64).

%prep
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}
tar zxvf $RPM_SOURCE_DIR/LabPlot-%{version}.tar.gz

%setup
export CFLAGS="-O2 -Wall -fPIC"
export CXXFLAGS="-O2 -Wall -fPIC"
./configure --prefix=/usr --disable-static --enable-libsuffix=64 --with-qt-libraries=/usr/lib64/qt-3.3/lib

%build
make

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/bin/LabPlot
/usr/share/locale/de/LC_MESSAGES/LabPlot.mo
/usr/share/locale/fr/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ru/LC_MESSAGES/LabPlot.mo
/usr/share/locale/it/LC_MESSAGES/LabPlot.mo
/usr/share/locale/br/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ca/LC_MESSAGES/LabPlot.mo
/usr/share/locale/cs/LC_MESSAGES/LabPlot.mo
/usr/share/locale/cy/LC_MESSAGES/LabPlot.mo
/usr/share/locale/da/LC_MESSAGES/LabPlot.mo
/usr/share/locale/es/LC_MESSAGES/LabPlot.mo
/usr/share/locale/et/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ga/LC_MESSAGES/LabPlot.mo
/usr/share/locale/is/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ja/LC_MESSAGES/LabPlot.mo
/usr/share/locale/nl/LC_MESSAGES/LabPlot.mo
/usr/share/locale/pl/LC_MESSAGES/LabPlot.mo
/usr/share/locale/pt/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ro/LC_MESSAGES/LabPlot.mo
/usr/share/locale/sr/LC_MESSAGES/LabPlot.mo
/usr/share/locale/sv/LC_MESSAGES/LabPlot.mo
/usr/share/locale/ta/LC_MESSAGES/LabPlot.mo
/usr/share/locale/tr/LC_MESSAGES/LabPlot.mo
/usr/share/locale/zh/LC_MESSAGES/LabPlot.mo
/usr/share/applnk/Applications/LabPlot.desktop
/usr/share/applnk/Applications/labplot.desktop
/usr/share/mimelnk/application/x-lpl.desktop
/usr/share/apps/LabPlot/
/usr/share/icons/locolor/16x16/apps/LabPlot.png
/usr/share/icons/locolor/16x16/mimetypes/lpl.png
/usr/share/icons/locolor/22x22/apps/LabPlot.png
/usr/share/icons/locolor/22x22/mimetypes/lpl.png
/usr/share/icons/locolor/32x32/apps/LabPlot.png
/usr/share/icons/locolor/32x32/mimetypes/lpl.png
/usr/share/icons/hicolor/16x16/apps/LabPlot.png
/usr/share/icons/hicolor/16x16/mimetypes/lpl.png
/usr/share/icons/hicolor/22x22/apps/LabPlot.png
/usr/share/icons/hicolor/22x22/mimetypes/lpl.png
/usr/share/icons/hicolor/32x32/apps/LabPlot.png
/usr/share/icons/hicolor/32x32/mimetypes/lpl.png
/usr/share/icons/hicolor/48x48/apps/LabPlot.png
/usr/share/icons/hicolor/48x48/mimetypes/lpl.png
/usr/share/icons/hicolor/64x64/apps/LabPlot.png
/usr/share/icons/hicolor/64x64/mimetypes/lpl.png
/usr/share/doc/HTML/en/LabPlot/index.docbook
/usr/share/doc/HTML/en/LabPlot/small_pics
/usr/share/doc/HTML/en/labplot/
/usr/share/doc/HTML/de/LabPlot/index.docbook
/usr/share/doc/HTML/de/LabPlot/small_pics
/usr/share/doc/HTML/de/labplot/
/usr/share/doc/HTML/fr/LabPlot/index.docbook
/usr/share/doc/HTML/fr/LabPlot/small_pics
/usr/share/doc/HTML/fr/labplot/
/usr/share/doc/HTML/sv/LabPlot/index.docbook
/usr/share/doc/HTML/sv/LabPlot/small_pics
/usr/share/doc/HTML/sv/labplot/
/usr/share/doc/HTML/br/LabPlot/index.docbook
/usr/share/doc/HTML/br/LabPlot/small_pics
/usr/share/doc/HTML/br/labplot/
/usr/share/doc/HTML/it/LabPlot/index.docbook
/usr/share/doc/HTML/it/LabPlot/small_pics
/usr/share/doc/HTML/it/labplot/
/usr/share/doc/HTML/pl/LabPlot/index.docbook
/usr/share/doc/HTML/pl/LabPlot/small_pics
/usr/share/doc/HTML/pl/labplot/
/usr/lib64/libLabPlotcephes.la
/usr/lib64/libLabPlotcephes.so
/usr/lib64/libLabPlotcephes.so.1
/usr/lib64/libLabPlotcephes.so.1.5.0
/usr/lib64/libLabPlotnetCDF.la
/usr/lib64/libLabPlotnetCDF.so
/usr/lib64/libLabPlotnetCDF.so.3
/usr/lib64/libLabPlotnetCDF.so.3.5.0
/usr/lib64/libLabPlotqwtplot3d.la
/usr/lib64/libLabPlotqwtplot3d.so
/usr/lib64/libLabPlotqwtplot3d.so.0
/usr/lib64/libLabPlotqwtplot3d.so.0.2.5
/usr/lib64/libLabPlot.la
/usr/lib64/libLabPlot.so
/usr/lib64/libLabPlot.so.1
/usr/lib64/libLabPlot.so.1.5.0
/usr/man/man1/LabPlot.1.gz
/usr/man/man1/labplot.1.gz
%doc README TODO INSTALL ChangeLog CHANGES FEATURES LabPlot.lsm

%undefine __check_files

%changelog
* Fri Aug 12 2005 - Stefan Gerlach
- update for 1.5.0
* Fri Mar 25 2005 - Stefan Gerlach
- update for 1.4.1
* Fri Jan 07 2005 - Stefan Gerlach
- created from x86 version to x86_64
