%define version 1.5.0

Name: 		LabPlot
URL:		http://labplot.sourceforge.net/
Version:	%{version}
Summary:	Function and Data Plotter
Release: 2
Source:		LabPlot-%{version}.tar.gz
Group:		Applications/Engineering	
License:	GPL
Packager:	Stefan Gerlach <gerlach@mbi-berlin.de>
Distribution:	Fedora Core 4 (i386)
Vendor:		http://labplot.sourceforge.net/
BuildPrereq:	gsl-devel, ImageMagick-c++-devel, audiofile-devel
Requires:	ImageMagick >= 6.0.7.1 , ImageMagick-c++ >= 6.0.7.1 , gsl , audiofile
BuildRoot:	/tmp/LabPlot

%description
This is a program for plotting of functions and data manipulation.

%prep
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}
tar zxvf $RPM_SOURCE_DIR/LabPlot-%{version}.tar.gz

%setup
%configure --disable-static

%build
make

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/bin/LabPlot
%{_datadir}/locale/de/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/fr/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ru/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/it/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/br/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ca/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/cs/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/cy/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/da/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/es/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/et/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ga/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/is/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ja/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/nl/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/pl/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/pt/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ro/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/sr/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/sv/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/ta/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/tr/LC_MESSAGES/LabPlot.mo
%{_datadir}/locale/zh/LC_MESSAGES/LabPlot.mo
%{_datadir}/applnk/Applications/LabPlot.desktop
%{_datadir}/applnk/Applications/labplot.desktop
%{_datadir}/mimelnk/application/x-lpl.desktop
%{_datadir}/apps/LabPlot/
%{_datadir}/icons/locolor/16x16/apps/LabPlot.png
%{_datadir}/icons/locolor/16x16/mimetypes/lpl.png
%{_datadir}/icons/locolor/22x22/apps/LabPlot.png
%{_datadir}/icons/locolor/22x22/mimetypes/lpl.png
%{_datadir}/icons/locolor/32x32/apps/LabPlot.png
%{_datadir}/icons/locolor/32x32/mimetypes/lpl.png
%{_datadir}/icons/hicolor/16x16/apps/LabPlot.png
%{_datadir}/icons/hicolor/16x16/mimetypes/lpl.png
%{_datadir}/icons/hicolor/22x22/apps/LabPlot.png
%{_datadir}/icons/hicolor/22x22/mimetypes/lpl.png
%{_datadir}/icons/hicolor/32x32/apps/LabPlot.png
%{_datadir}/icons/hicolor/32x32/mimetypes/lpl.png
%{_datadir}/icons/hicolor/48x48/apps/LabPlot.png
%{_datadir}/icons/hicolor/48x48/mimetypes/lpl.png
%{_datadir}/icons/hicolor/64x64/apps/LabPlot.png
%{_datadir}/icons/hicolor/64x64/mimetypes/lpl.png
%{_docdir}/HTML/en/LabPlot/index.docbook
%{_docdir}/HTML/en/LabPlot/small_pics
%{_docdir}/HTML/en/labplot/
%{_docdir}/HTML/de/LabPlot/index.docbook
%{_docdir}/HTML/de/LabPlot/small_pics
%{_docdir}/HTML/de/labplot/
%{_docdir}/HTML/fr/LabPlot/index.docbook
%{_docdir}/HTML/fr/LabPlot/small_pics
%{_docdir}/HTML/fr/labplot/
%{_docdir}/HTML/sv/LabPlot/index.docbook
%{_docdir}/HTML/sv/LabPlot/small_pics
%{_docdir}/HTML/sv/labplot/
%{_docdir}/HTML/br/LabPlot/index.docbook
%{_docdir}/HTML/br/LabPlot/small_pics
%{_docdir}/HTML/br/labplot/
%{_docdir}/HTML/it/LabPlot/index.docbook
%{_docdir}/HTML/it/LabPlot/small_pics
%{_docdir}/HTML/it/labplot/
%{_docdir}/HTML/pl/LabPlot/index.docbook
%{_docdir}/HTML/pl/LabPlot/small_pics
%{_docdir}/HTML/pl/labplot/
%{_libdir}/libLabPlotcephes.la
%{_libdir}/libLabPlotcephes.so
%{_libdir}/libLabPlotcephes.so.1
%{_libdir}/libLabPlotcephes.so.1.5.0
%{_libdir}/libLabPlotnetCDF.la
%{_libdir}/libLabPlotnetCDF.so
%{_libdir}/libLabPlotnetCDF.so.3
%{_libdir}/libLabPlotnetCDF.so.3.5.0
%{_libdir}/libLabPlotqwtplot3d.la
%{_libdir}/libLabPlotqwtplot3d.so
%{_libdir}/libLabPlotqwtplot3d.so.0
%{_libdir}/libLabPlotqwtplot3d.so.0.2.5
%{_libdir}/libLabPlot.la
%{_libdir}/libLabPlot.so
%{_libdir}/libLabPlot.so.1
%{_libdir}/libLabPlot.so.1.5.0
#%{_mandir}/LabPlot.1.gz
#%{_mandir}/labplot.1.gz
%doc README TODO INSTALL ChangeLog CHANGES FEATURES LabPlot.lsm

%undefine __check_files

%changelog
* Mon Aug 22 2005 Neal Becker <ndbecker2@gmail.com> - 1.5.0-2
- Replace hard-coded paths with macros.

* Mon Aug 22 2005 Neal Becker <ndbecker2@gmail.com> - 1.5.0-1
- Use standard %configure.  Add patch to compile with gcc4.0.1.

* Sat Aug 06 2005 - Stefan Gerlach
- update for 1.5.0
* Fri Mar 25 2005 - Stefan Gerlach
- update for 1.4.1
* Sun Dec 19 2004 - Stefan Gerlach
- update for 1.4.0
* Sun Nov 14 2004 - Stefan Gerlach
- updated for 1.4.0
- created for version 1.3.1
