%define version 1.5.0

Name: 		LabPlot
URL:		http://labplot.sourceforge.net/
Version:	%{version}
Summary:	Function and Data Plotter
Release:	2
Source:		LabPlot-%{version}.tar.gz
Group:		Applications/Engineering	
License:	GPL
Packager:	Stefan Gerlach <gerlach@mbi-berlin.de>
Distribution:	SuSE Linux 9.3 (i586)
Vendor:		http://labplot.sourceforge.net/
BuildPrereq:	libjpeg-devel, ImageMagick-devel, ImageMagick-Magick++-devel, fftw3-devel, qsa-devel, audiofile, gsl
Requires:	libjasper, ImageMagick, ImageMagick-Magick++, fftw3, qsa, audiofile, gsl
BuildRoot:	/tmp/LabPlot

%description
This is a program for plotting of functions and data manipulation. Compiled for SuSE Linux 9.3.

Authors:
........
     Stefan Gerlach <gerlach@mbi-berlin.de>

%prep
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}
tar zxvf $RPM_SOURCE_DIR/LabPlot-%{version}.tar.gz

%setup
export CFLAGS="-O2 -Wall"
export CXXFLAGS="-O2 -Wall"
./configure --prefix=/opt/kde3 --disable-static

%build
make

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/LabPlot-%{version}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/opt/kde3/bin/LabPlot
/opt/kde3/bin/texvc
/opt/kde3/share/locale/de/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/fr/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ru/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/it/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/br/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ca/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/cs/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/cy/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/da/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/es/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/et/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ga/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/is/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ja/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/nl/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/pl/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/pt/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ro/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/sr/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/sv/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/ta/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/tr/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/locale/zh/LC_MESSAGES/LabPlot.mo
/opt/kde3/share/applnk/Applications/LabPlot.desktop
/opt/kde3/share/applnk/Applications/labplot.desktop
/opt/kde3/share/icons/locolor/16x16/apps/LabPlot.png
/opt/kde3/share/icons/locolor/16x16/mimetypes/lpl.png
/opt/kde3/share/icons/locolor/22x22/apps/LabPlot.png
/opt/kde3/share/icons/locolor/22x22/mimetypes/lpl.png
/opt/kde3/share/icons/locolor/32x32/apps/LabPlot.png
/opt/kde3/share/icons/locolor/32x32/mimetypes/lpl.png
/opt/kde3/share/icons/hicolor/16x16/apps/LabPlot.png
/opt/kde3/share/icons/hicolor/16x16/mimetypes/lpl.png
/opt/kde3/share/icons/hicolor/22x22/apps/LabPlot.png
/opt/kde3/share/icons/hicolor/22x22/mimetypes/lpl.png
/opt/kde3/share/icons/hicolor/32x32/apps/LabPlot.png
/opt/kde3/share/icons/hicolor/32x32/mimetypes/lpl.png
/opt/kde3/share/icons/hicolor/48x48/apps/LabPlot.png
/opt/kde3/share/icons/hicolor/48x48/mimetypes/lpl.png
/opt/kde3/share/icons/hicolor/64x64/apps/LabPlot.png
/opt/kde3/share/icons/hicolor/64x64/mimetypes/lpl.png
/opt/kde3/share/mimelnk/application/x-lpl.desktop
/opt/kde3/share/doc/HTML/en/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/en/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/en/labplot/
/opt/kde3/share/doc/HTML/de/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/de/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/de/labplot/
/opt/kde3/share/doc/HTML/fr/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/fr/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/fr/labplot/
/opt/kde3/share/doc/HTML/sv/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/sv/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/sv/labplot/
/opt/kde3/share/doc/HTML/br/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/br/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/br/labplot/
/opt/kde3/share/doc/HTML/it/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/it/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/it/labplot/
/opt/kde3/share/doc/HTML/pl/LabPlot/index.docbook
/opt/kde3/share/doc/HTML/pl/LabPlot/small_pics/
/opt/kde3/share/doc/HTML/pl/labplot/
/opt/kde3/share/apps/LabPlot/
/opt/kde3/lib/libLabPlotcephes.la
/opt/kde3/lib/libLabPlotcephes.so
/opt/kde3/lib/libLabPlotcephes.so.1
/opt/kde3/lib/libLabPlotcephes.so.1.5.0
/opt/kde3/lib/libLabPlotqwtplot3d.la
/opt/kde3/lib/libLabPlotqwtplot3d.so
/opt/kde3/lib/libLabPlotqwtplot3d.so.0
/opt/kde3/lib/libLabPlotqwtplot3d.so.0.2.5
/opt/kde3/lib/libLabPlotnetCDF.la
/opt/kde3/lib/libLabPlotnetCDF.so
/opt/kde3/lib/libLabPlotnetCDF.so.3
/opt/kde3/lib/libLabPlotnetCDF.so.3.5.0
/opt/kde3/lib/libLabPlot.la
/opt/kde3/lib/libLabPlot.so
/opt/kde3/lib/libLabPlot.so.1
/opt/kde3/lib/libLabPlot.so.1.5.0
/opt/kde3/man/man1/LabPlot.1.gz
/opt/kde3/man/man1/labplot.1.gz
%doc README TODO INSTALL ChangeLog CHANGES FEATURES LabPlot.lsm

%changelog
* Sun Aug 07 2005 - Stefan Gerlach
- update 1.5.0
* Tue Jul 05 2005 - Stefan Gerlach
- added fftw3, gsl, ImageMagick-Magick++
* Sun Jul 03 2005 - Stefan Gerlach
- created from SuSE 9.2 spec
